Tags 333305 + patch
Thanks
--- config 2006-08-29 18:50:07.000000000 -0300
+++ rata.config 2006-08-29 18:52:18.000000000 -0300
@@ -120,7 +120,7 @@
if [ "$INSTALL_STAT" = "installed" ]; then
if [ -x /etc/init.d/thttpd ]; then
- /etc/init.d/thttpd stop 1>&2> /dev/null || true
+ invoke-rc.d thttpd stop > /dev/null 2>&1 || true
fi
fi
--- postinst 2006-08-29 18:50:07.000000000 -0300
+++ rata.postinst 2006-08-29 18:52:31.000000000 -0300
@@ -7,7 +7,7 @@
echo "Updating rc.d symbolic links to start thttpd upon
booting."
update-rc.d thttpd defaults 20 > /dev/null
echo "Starting thttpd ..."
- /etc/init.d/thttpd start > /dev/null || true
+ invoke-rc.d thttpd stop > /dev/null || true
;;
*)
#
--- prerm 2006-08-29 18:50:07.000000000 -0300
+++ rata.prerm 2006-08-29 18:50:31.000000000 -0300
@@ -7,7 +7,7 @@
#
# Stop the daemon
#
- /etc/init.d/thttpd stop
+ invoke-rc.d thttpd stop
[ -L /usr/doc/thttpd ] && rm -f /usr/doc/thttpd
;;
failed-upgrade)
--- thttpd.logrotate 2006-08-29 18:50:07.000000000 -0300
+++ rata.thttpd.logrotate 2006-08-29 18:53:52.000000000 -0300
@@ -11,7 +11,7 @@
endscript
postrotate
if [ -f /tmp/start_thttpd ]; then
- /etc/init.d/thttpd restart 2>&1 > /dev/null
+ invoke-rc.d thttpd restart > /dev/null 2>&1
rm -f /tmp/start_thttpd
fi
endscript